<template>
  <el-breadcrumb separator-class="el-icon-arrow-right">
    <el-breadcrumb-item v-for="(item,index) in titles" :key="index">
      {{item.meta.title}}
    </el-breadcrumb-item>
  </el-breadcrumb>
</template>

<script>

export default {
  data() {
    return {
      titles:null
    }
  },
  watch: {
    $route(newVal,oldVal) {
      this.getBreadCrumbs()
    }
  },
  created() {
    this.getBreadCrumbs()
  },
  methods: {
    getBreadCrumbs(){
      let matched = this.$route.matched.filter(item => item.name);
      matched.shift();
      this.titles=matched;
    }
  }
}
</script>

<style lang="less" scoped>
.el-breadcrumb{
  height: 40px;
  line-height: 40px;
  padding: 0 20px;
  background-color: #f5f5f5; 
}
</style>
